C T.L.Gulyaeva...........................................Aug 2012
C
C Produce F10.7 - 81 dayaver and 365 days average
C apf107.dat 
C
C Input file aver.txt

C
C <<< to replace -11 by Rz daily
C 
C Output: apfaver.txt
C
      PROGRAM DECODAPF
C---------------------------------------------------------------
C
C
C
C*********TEST
	CHARACTER*128 INFILE,OUTFILE
	CHARACTER*3	rz(0:365)
	CHARACTER*36 xline(0:365)
	CHARACTER(10) DD
      CHARACTER(10) TT
      CHARACTER(5) ZZ
	dimension covn(0:365),xx3(3,0:365)


C
c
	      CALL DATE_AND_TIME(DATE=DD,TIME=TT,ZONE=ZZ)
      TT(5:)='      '
      WRITE(*,*) 'PC Date: Year,Month,Day = ',DD,'Time = ',TT
C
	infile='aver.txt'
	outfile='apfaver.txt'
	OPEN(10,FILE=outfile)
	OPEN(11,FILE=infile)
	iflag=0
C

	nn=0 ! count f365
C cycle day-to-day
  201	nn=nn+1
   18	format(A36,A3,3(F5.1))
C Read apf data:
   78	read(11,18,END=77,ERR=2) xline(365),rz(365),f1,f2,f3
	xx3(1,365)=f1
	xx3(2,365)=f2
	xx3(3,365)=f3
	covn(365)=f1
C move data 1 1ine up
	do k=1,365
	covn(k-1)=covn(k)
	xline(k-1)=xline(k)
	rz(k-1)=rz(k)
	xx3(1,k-1)=xx3(1,k)
	xx3(2,k-1)=xx3(2,k)
	xx3(3,k-1)=xx3(3,k)
	enddo
	covn(365)=0.    ! 
	if ((nn.lt.365).and.(iflag.eq.0)) goto 201
	iflag=1
C
	ave1=0.
	do k=1,81
	ave1=ave1+covn(k+nn-82)
	enddo
	ave1=ave1/81.
	xx3(2,nn-41)=ave1
C
	ave2=0.
	do k=0,364
	ave2=ave2+covn(k)
	enddo
	ave2=ave2/365.
	xx3(3,nn-183)=ave2

	write(*,18) xline(nn-183),rz(nn-183)
	+,xx3(1,nn-183),xx3(2,nn-183),xx3(3,nn-183)
	write(10,18) xline(nn-183),rz(nn-183)
	+,xx3(1,nn-183),xx3(2,nn-183),xx3(3,nn-183)

C
	nn=nn-1
	goto 201
   77	close(unit=11)
C average rest lines      
C
	 do jj=325,364
	ave1=0.
	n1=jj-40
	do nn=n1,364
	ave1=ave1+covn(nn)
	enddo
	ave1=ave1/(364.-n1+1.)
	xx3(2,jj)=ave1
	enddo
C
	do jj=183,364
	ave2=0.
	n1=jj-182
	do nn=n1,364
	ave2=ave2+covn(nn)
	enddo
	ave2=ave2/(364.-n1+1.)
	xx3(3,jj)=ave2
	enddo
	do nn=182,364
	write(*,18) xline(nn),rz(nn)
	+,xx3(1,nn),xx3(2,nn),xx3(3,nn)
	write(10,18) xline(nn),rz(nn)
	+,xx3(1,nn),xx3(2,nn),xx3(3,nn)
	enddo
   99	continue             ! mn-to-mn cycle

   17	format(3(1X,A2),9(I3),A3,3(F5.1))

  88	continue								 !!
	GOTO 33
C

    2 CONTINUE
c-      if (irun.eq.0) then
       write(*,*) 'INPUT FILE IS NOT IN YOUR DIRECTORY '
 	pause ' '
	goto 34
c-      endif

   33	continue
	close(unit=10)
      write(*,*) infile,outfile
      pause ' ' 
   34   STOP
       END

C***********************************************************
      subroutine blet2(ilet,alet2)
c     nn=1,2,3,4 

	CHARACTER*1 IN(0:9)
	INTEGER*2 ilet
	DATA IN/'0','1','2','3','4','5','6','7','8','9'/
	CHARACTER*2 alet2
CLjuba	a2='00'
	alet2='00'             !NEW+7
	j10=ilet/10
	j1=ilet-j10*10
    5	do i=0,9
	if (j10.eq.i) then
	alet2(1:1)=IN(i)
	endif
	enddo
   7	do i=0,9 
     	if (j1.eq.i) then
 	alet2(2:2)=IN(i)
	endif
	enddo 
	return
	end
